summaryrefslogtreecommitdiffstats
path: root/libraries/libosmium
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2024-02-13 10:05:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-02-13 12:47:10 +0700
commit15301fdd83262d349a48a61f8cb6a96213042afb (patch)
tree9c199924fa0c0ddfd03789852f54faeabcb670e1 /libraries/libosmium
parent52a58041526a1b6091d11ac7b37358dab0ef1779 (diff)
downloadslackbuilds-15301fdd83262d349a48a61f8cb6a96213042afb.tar.gz
slackbuilds-15301fdd83262d349a48a61f8cb6a96213042afb.tar.xz
libraries/libosmium: Added (C++ library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libosmium')
-rw-r--r--libraries/libosmium/README4
-rw-r--r--libraries/libosmium/libosmium.SlackBuild95
-rw-r--r--libraries/libosmium/libosmium.info10
-rw-r--r--libraries/libosmium/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/libosmium/README b/libraries/libosmium/README
new file mode 100644
index 0000000000..4671354c83
--- /dev/null
+++ b/libraries/libosmium/README
@@ -0,0 +1,4 @@
+The Osmium Library has extensive support for all types of OSM entities:
+nodes, ways, relations, and changesets. It allows reading from and wri-
+ting to OSM files in XML, PBF, and several other formats, including
+change files and full history files.
diff --git a/libraries/libosmium/libosmium.SlackBuild b/libraries/libosmium/libosmium.SlackBuild
new file mode 100644
index 0000000000..bd68b3cf5b
--- /dev/null
+++ b/libraries/libosmium/libosmium.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for <libosmium>
+
+# Copyright 2024, Michales Michaloudes (clavisound), Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libosmium
+VERSION=${VERSION:-2.20.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+TMP=${TMP:-/tmp/SBo}
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd $TMP/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/
+cp -pR include $PKG/usr/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md CONTRIBUTING.md README.md LICENSE NOTES_FOR_DEVELOPERS.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libosmium/libosmium.info b/libraries/libosmium/libosmium.info
new file mode 100644
index 0000000000..1b9ea764c1
--- /dev/null
+++ b/libraries/libosmium/libosmium.info
@@ -0,0 +1,10 @@
+PRGNAM="libosmium"
+VERSION="2.20.0"
+HOMEPAGE="https://osmcode.org/libosmium/"
+DOWNLOAD="https://github.com/osmcode/libosmium/archive/v2.20.0/libosmium-2.20.0.tar.gz"
+MD5SUM="22499dc34abfe8e384825bb0d1befb13"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
diff --git a/libraries/libosmium/slack-desc b/libraries/libosmium/slack-desc
new file mode 100644
index 0000000000..0e6228763d
--- /dev/null
+++ b/libraries/libosmium/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libosmium: libosmium (C++ library for working with OpenStreetMap data)
+libosmium:
+libosmium: The Osmium Library has extensive support for all types of OSM enti-
+libosmium: ties: nodes, ways, relations, and changesets. It allows reading from
+libosmium: and writing to OSM files in XML, PBF, and several other formats,
+libosmium: including change files and full history files. Osmium can store OSM
+libosmium: data in memory and on disk in various formats and using various inde-
+libosmium: xes. Its easy to use handler interface allows you to quickly write da-
+libosmium: ta filtering and conversion functions. Osmium can create WKT, WKB,
+libosmium: OGR, GEOS and GeoJSON geometries for easy conversion into many GIS fo-
+libosmium: rmats and it can assemble multipolygons from ways and relations.